Subject: Re: [PATCH/alternative/raw and rough] setup.c: denote repo wide pathspecs by ':'

From: Phil Hord <[email-masked]>
Date: Wed, 02 Mar 2011 22:51:17 -0500

On 03/01/2011 07:12 PM, Nguyen Thai Ngoc Duy wrote:
> On Tue, Mar 1, 2011 at 6:16 PM, Michael J Gruber
> <[email-masked]> wrote:
>> Nguyen Thai Ngoc Duy venit, vidit, dixit 01.03.2011 12:13:
>>> If you are going to turn pathspecs into something more complex,
>>> reserve room for future extension. I have negative pathspecs that can
>>> utilize it.
>>>
>>> I take it, from now on people must refer file name ':foo' as './:foo'
>>> with your patch?
>> That is up for discussion, of course. When discussing a new approach for
>> file mode dependent attributes, I was hoping to get through with
>> symlink:path, and did not. But it was decided that something like
>> :symlink:path would be good enough, in the sense of avoiding enough
>> possible conflicts. That made me hope that :path would be, too.
> Good morning! I'm saner now. How about :/path? That would reserve
> anything next to ':' except '/'.

I like this.  The only 'failure' that comes to mind is something like

     git log -- */*.c

when there's a subdirectory named ':'. 

Phil